extends Node2D

# var enemy_type: String = "shards"

func _ready() -> void:
  print("Requesting Animations…")
  start_all_animations()
  


func start_all_animations():
  var all_children = get_children(true)
  for child in all_children:
    #print(all_children)
    print("Looking for AnimationPlayers…")
    if child is AnimationPlayer:
      print("Found an AnimationPlayer!")
      child.play("patrol")
    elif child != AnimationPlayer: print("No animation players found!")
